| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
IOPar Class Reference
Basic

Generalized set of parameters of the keyword-value type. More...

`#include <iopar.h>`

Inheritance diagram for IOPar:
[legend]

## Public Member Functions
| IOPar (ascistream &)
| IOPar (const char *nm=nullptr)
| empty
| IOPar (const IOPar &)
| ~IOPar ()
void | add (const char *, double)
void | add (const char *, double, double)
void | add (const char *, double, double, double)
void | add (const char *, double, double, double, double)
void | add (const char *, float)
void | add (const char *, float, float)
void | add (const char *, float, float, float)
void | add (const char *, float, float, float, float)
void | add (const char *, int)
void | add (const char *, int, int)
void | add (const char *, int, int, int)
void | add (const char *, int, int, int, int)
void | add (const char *, od_int16)
void | add (const char *, od_int16, od_int16)
void | add (const char *, od_int16, od_int16, od_int16)
void | add (const char *, od_int16, od_int16, od_int16, od_int16)
void | add (const char *, od_int64)
void | add (const char *, od_int64, od_int64)
void | add (const char *, od_int64, od_int64, od_int64)
void | add (const char *, od_int64, od_int64, od_int64, od_int64)
void | add (const char *, od_uint16)
void | add (const char *, od_uint16, od_uint16)
void | add (const char *, od_uint16, od_uint16, od_uint16)
void | add (const char *, od_uint16, od_uint16, od_uint16, od_uint16)
void | add (const char *, od_uint32)
void | add (const char *, od_uint32, od_uint32)
void | add (const char *, od_uint32, od_uint32, od_uint32)
void | add (const char *, od_uint32, od_uint32, od_uint32, od_uint32)
void | add (const char *, od_uint64)
void | add (const char *, od_uint64, od_uint64)
void | add (const char *, od_uint64, od_uint64, od_uint64)
void | add (const char *, od_uint64, od_uint64, od_uint64, od_uint64)
void | add (const char *ky, const char *val)
void | add (const char *ky, const OD::String &val)
void | addFrom (const IOPar &)
| merge entries but do not overwrite
void | addVal (const char *ky, const char *valtoadd)
void | addYN (const char *, bool)
void | addYN (const char *, bool, bool)
void | addYN (const char *, bool, bool, bool)
void | addYN (const char *, bool, bool, bool, bool)
IOPar * | clone () const
void | dumpPretty (BufferString &) const
void | dumpPretty (od_ostream &) const
void | fillJSON (OD::JSON::Object &obj, bool simple=true) const
| if simple, only save the top level objects
BufferString | find (const char *) const
BufferString | findKeyFor (const char *) const
| returns empty if value not found
bool | get (const char *, BinID &) const
bool | get (const char *, BoolTypeSet &) const
bool | get (const char *, BufferString &) const
bool | get (const char *, BufferString &, BufferString &) const
bool | get (const char *, BufferString &, BufferString &, BufferString &) const
bool | get (const char *, BufferStringSet &) const
bool | get (const char *, Coord &) const
bool | get (const char *, Coord3 &) const
bool | get (const char *, DBKey &) const
bool | get (const char *, DBKeySet &) const
bool | get (const char *, double &) const
bool | get (const char *, double &, double &) const
bool | get (const char *, double &, double &, double &) const
bool | get (const char *, double &, double &, double &, double &) const
bool | get (const char *, float &) const
bool | get (const char *, float &, float &) const
bool | get (const char *, float &, float &, float &) const
bool | get (const char *, float &, float &, float &, float &) const
bool | get (const char *, int &) const
bool | get (const char *, int &, int &) const
bool | get (const char *, int &, int &, float &) const
bool | get (const char *, int &, int &, int &) const
bool | get (const char *, int &, int &, int &, int &) const
template<class T >
bool | get (const char *, IntegerID< T > &) const
template<class T >
bool | get (const char *, Interval< T > &) const
bool | get (const char *, MultiID &) const
bool | get (const char *, OD::Color &) const
bool | get (const char *, OD::GeomSystem &) const
bool | get (const char *, od_int16 &) const
bool | get (const char *, od_int16 &, od_int16 &) const
bool | get (const char *, od_int16 &, od_int16 &, od_int16 &) const
bool | get (const char *, od_int16 &, od_int16 &, od_int16 &, od_int16 &) const
bool | get (const char *, od_int64 &) const
bool | get (const char *, od_int64 &, od_int64 &) const
bool | get (const char *, od_int64 &, od_int64 &, od_int64 &) const
bool | get (const char *, od_int64 &, od_int64 &, od_int64 &, od_int64 &) const
bool | get (const char *, od_uint16 &) const
bool | get (const char *, od_uint16 &, od_uint16 &) const
bool | get (const char *, od_uint16 &, od_uint16 &, od_uint16 &) const
bool | get (const char *, od_uint16 &, od_uint16 &, od_uint16 &, od_uint16 &) const
bool | get (const char *, od_uint32 &) const
bool | get (const char *, od_uint32 &, od_uint32 &) const
bool | get (const char *, od_uint32 &, od_uint32 &, od_uint32 &) const
bool | get (const char *, od_uint32 &, od_uint32 &, od_uint32 &, od_uint32 &) const
bool | get (const char *, od_uint64 &) const
bool | get (const char *, od_uint64 &, od_uint64 &) const
bool | get (const char *, od_uint64 &, od_uint64 &, od_uint64 &) const
bool | get (const char *, od_uint64 &, od_uint64 &, od_uint64 &, od_uint64 &) const
template<class T >
bool | get (const char *, SamplingData< T > &) const
bool | get (const char *, SeparString &) const
template<class T , std::size_t N>
bool | get (const char *, std::array< T, N > &) const
bool | get (const char *, std::string &) const
bool | get (const char *, std::string &, std::string &) const
bool | get (const char *, TrcKey &) const
bool | get (const char *, TypeSet< double > &) const
bool | get (const char *, TypeSet< float > &) const
bool | get (const char *, TypeSet< int > &) const
bool | get (const char *, TypeSet< MultiID > &) const
bool | get (const char *, TypeSet< od_int16 > &) const
bool | get (const char *, TypeSet< od_int64 > &) const
bool | get (const char *, TypeSet< od_uint16 > &) const
bool | get (const char *, TypeSet< od_uint32 > &) const
bool | get (const char *, TypeSet< od_uint64 > &) const
bool | get (const char *, TypeSet< Pos::GeomID > &) const
bool | get (const char *, uiString &, bool fromhex) const
void | getFrom (ascistream &)
void | getFrom (const char *)
void | getKeys (BufferStringSet &) const
void | getParsFrom (const char *)
bool | getPtr (const char *, void *&) const
bool | getScaled (const char *, double &, double &, double &, double &, double, bool) const
bool | getScaled (const char *, double &, double &, double &, double, bool) const
bool | getScaled (const char *, double &, double &, double, bool) const
bool | getScaled (const char *, double &, double applied_scale, bool set_to_undef_if_not_found) const
bool | getScaled (const char *, float &, float &, float &, float &, float, bool) const
bool | getScaled (const char *, float &, float &, float &, float, bool) const
bool | getScaled (const char *, float &, float &, float, bool) const
bool | getScaled (const char *, float &, float applied_scale, bool set_to_undef_if_not_found) const
bool | getYN (const char *, bool &) const
bool | getYN (const char *, bool &, bool &) const
bool | getYN (const char *, bool &, bool &, bool &) const
bool | getYN (const char *, bool &, bool &, bool &, bool &) const
bool | hasKey (const char *s) const
bool | includes (const IOPar &) const
bool | isEmpty () const
bool | isEqual (const IOPar &) const
bool | isFalse (const char *key) const
bool | isPresent (const char *ky) const
bool | isTrue (const char *key) const
int | majorVersion () const
| Only set if read from file. Otherwise set to current.
void | merge (const IOPar &)
| merge entries using the set() command
void | mergeComp (const IOPar &, const char *)
| merge entries, where IOPar's entries get a prefix
int | minorVersion () const
| Only set if read from file. Otherwise set to current.
int | odVersion () const
bool | operator!= (const IOPar &iop) const
IOPar & | operator= (const IOPar &)
bool | operator== (const IOPar &iop) const
BufferString | operator[] (const char *ky) const
int | patchVersion () const
| Only set if read from file. Otherwise set to current.
void | putParsTo (BufferString &) const
void | putTo (ascostream &) const
void | putTo (BufferString &) const
bool | read (const char *filename, const char *filetype, bool chktype=false)
bool | read (od_istream &, const char *filetype, bool chktype=false)
bool | remove (int)=delete
bool | removeSubSelection (const char *str)
| removes with key that start with str.
bool | removeSubSelection (const OD::String &fs)
bool | removeSubSelection (int)
| removes with key that start with number.
bool | removeWithKey (const char *key)
| returns false if ky not found
bool | removeWithKeyPattern (const char *globexpression)
bool | replaceKey (const char *oldkey, const char *newkey)
| returns false if oldkey was not found
void | set (const char *, const BinID &)
void | set (const char *, const BoolTypeSet &)
void | set (const char *, const BufferStringSet &)
void | set (const char *, const char *, const char *)
void | set (const char *, const char *, const char *, const char *)
void | set (const char *, const Coord &)
void | set (const char *, const Coord3 &)
void | set (const char *, const DBKey &)
void | set (const char *, const DBKeySet &)
template<class T >
void | set (const char *, const IntegerID< T > &)
template<class T >
void | set (const char *, const Interval< T > &)
void | set (const char *, const MultiID &)
void | set (const char *, const OD::Color &)
void | set (const char *, const OD::GeomSystem &)
void | set (const char *, const OD::String &)
void | set (const char *, const OD::String &, const OD::String &)
void | set (const char *, const OD::String &, const OD::String &, const OD::String &)
template<class T >
void | set (const char *, const SamplingData< T > &)
void | set (const char *, const SeparString &)
template<class T , std::size_t N>
void | set (const char *, const std::array< T, N > &)
void | set (const char *, const TrcKey &)
void | set (const char *, const TypeSet< double > &)
void | set (const char *, const TypeSet< float > &)
void | set (const char *, const TypeSet< int > &)
void | set (const char *, const TypeSet< MultiID > &)
void | set (const char *, const TypeSet< od_int16 > &)
void | set (const char *, const TypeSet< od_int64 > &)
void | set (const char *, const TypeSet< od_uint16 > &)
void | set (const char *, const TypeSet< od_uint32 > &)
void | set (const char *, const TypeSet< od_uint64 > &)
void | set (const char *, const TypeSet< Pos::GeomID > &)
void | set (const char *, const uiString &, bool tohex)
void | set (const char *, double)
void | set (const char *, double, double)
void | set (const char *, double, double, double)
void | set (const char *, double, double, double, double)
void | set (const char *, float)
void | set (const char *, float, float)
void | set (const char *, float, float, float)
void | set (const char *, float, float, float, float)
void | set (const char *, int)
void | set (const char *, int, int)
void | set (const char *, int, int, float)
void | set (const char *, int, int, int)
void | set (const char *, int, int, int, int)
void | set (const char *, od_int16)
void | set (const char *, od_int16, od_int16)
void | set (const char *, od_int16, od_int16, od_int16)
void | set (const char *, od_int16, od_int16, od_int16, od_int16)
void | set (const char *, od_int64)
void | set (const char *, od_int64, od_int64)
void | set (const char *, od_int64, od_int64, od_int64)
void | set (const char *, od_int64, od_int64, od_int64, od_int64)
void | set (const char *, od_uint16)
void | set (const char *, od_uint16, od_uint16)
void | set (const char *, od_uint16, od_uint16, od_uint16)
void | set (const char *, od_uint16, od_uint16, od_uint16, od_uint16)
void | set (const char *, od_uint32)
void | set (const char *, od_uint32, od_uint32)
void | set (const char *, od_uint32, od_uint32, od_uint32)
void | set (const char *, od_uint32, od_uint32, od_uint32, od_uint32)
void | set (const char *, od_uint64)
void | set (const char *, od_uint64, od_uint64)
void | set (const char *, od_uint64, od_uint64, od_uint64)
void | set (const char *, od_uint64, od_uint64, od_uint64, od_uint64)
void | set (const char *ky, const char *val)
void | setEmpty ()
| remove all entries (doesn't clear name)
void | setPtr (const char *, void *)
void | setStdCreationEntries ()
void | setToDateTime (const char *ky=nullptr)
void | setToUser (const char *ky=nullptr)
void | setYN (const char *, bool)
void | setYN (const char *, bool, bool)
void | setYN (const char *, bool, bool, bool)
void | setYN (const char *, bool, bool, bool, bool)
int | size () const
IOPar * | subselect (const char *str) const
| returns iopar with key that start with str.
IOPar * | subselect (const OD::String &fs) const
IOPar * | subselect (int) const
| returns iopar with key that start with number.
void | update (const char *ky, const char *val)
bool | useJSON (const char *key, const OD::JSON::Array &)
bool | useJSON (const OD::JSON::Object &)
bool | write (const char *filename, const char *filetype) const
bool | write (od_ostream &, const char *filetyp) const
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static const char * | compKey (const char *, const char *)
| The composite key: (a,b) -> a.b.
static const char * | compKey (const char *, int)
| The composite key where int will be --> string.
static const char * | compKey (const char *ky1, const OD::String &ky2)
static const char * | sKeyDumpPretty ()
static const char * | sKeyHdr ()
static const char * | sKeySubHdr ()

## Protected Member Functions
bool | areSubParsIndexed () const
void | fillJSON (OD::JSON::Object &obj, const BufferStringSet &keys, const BufferStringSet &vals, const char *subkey, int &startidx) const

## Protected Attributes
ODHashMap & | hashmap_
int | majorversion_
int | minorversion_
int | patchversion_
Protected Attributes inherited from NamedObject
BufferString | name_

## Friends
class | IOParIterator

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Detailed Description

Generalized set of parameters of the keyword-value type.

Part of the function of this class is as in an STL map<string,string>. Passing a keyword will return the appropriate value.

Tools around this basic idea are paring into other types, key composition, reading/writing to/from file, merging, and more.

The get() functions return a bool, which is false when: either the key is not present or the value is not acceptable (usually: when empty is not OK, like for numerical values). In that case the passed variable is untouched; it keeps its original value.

dumpPretty() is used for reports. The title of the report is the name of the IOPar. If sKeyHdr and sKeySubHdr are the key, there will be a (sub)header with the value. Use add() rather than set(). Values may contain newlines.

<>

## Constructor & Destructor Documentation

## ◆ IOPar() [1/3]

IOPar::IOPar | ( | const char * | nm = nullptr | ) |
| explicit

empty

## ◆ IOPar() [2/3]

IOPar::IOPar | ( | ascistream & |  | ) |

## ◆ IOPar() [3/3]

IOPar::IOPar | ( | const IOPar & |  | ) |

## ◆ ~IOPar()

IOPar::~IOPar | ( |  | ) |

## Member Function Documentation

## ◆ add() [1/34]

void IOPar::add | ( | const char * | ,
|  | double | )

## ◆ add() [2/34]

void IOPar::add | ( | const char * | ,
|  | double | ,
|  | double | )

## ◆ add() [3/34]

void IOPar::add | ( | const char * | ,
|  | double | ,
|  | double | ,
|  | double | )

## ◆ add() [4/34]

void IOPar::add | ( | const char * | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double | )

## ◆ add() [5/34]

void IOPar::add | ( | const char * | ,
|  | float | )

## ◆ add() [6/34]

void IOPar::add | ( | const char * | ,
|  | float | ,
|  | float | )

## ◆ add() [7/34]

void IOPar::add | ( | const char * | ,
|  | float | ,
|  | float | ,
|  | float | )

## ◆ add() [8/34]

void IOPar::add | ( | const char * | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float | )

## ◆ add() [9/34]

void IOPar::add | ( | const char * | ,
|  | int | )

## ◆ add() [10/34]

void IOPar::add | ( | const char * | ,
|  | int | ,
|  | int | )

## ◆ add() [11/34]

void IOPar::add | ( | const char * | ,
|  | int | ,
|  | int | ,
|  | int | )

## ◆ add() [12/34]

void IOPar::add | ( | const char * | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | )

## ◆ add() [13/34]

void IOPar::add | ( | const char * | ,
|  | od_int16 | )

## ◆ add() [14/34]

void IOPar::add | ( | const char * | ,
|  | od_int16 | ,
|  | od_int16 | )

## ◆ add() [15/34]

void IOPar::add | ( | const char * | ,
|  | od_int16 | ,
|  | od_int16 | ,
|  | od_int16 | )

## ◆ add() [16/34]

void IOPar::add | ( | const char * | ,
|  | od_int16 | ,
|  | od_int16 | ,
|  | od_int16 | ,
|  | od_int16 | )

## ◆ add() [17/34]

void IOPar::add | ( | const char * | ,
|  | od_int64 | )

## ◆ add() [18/34]

void IOPar::add | ( | const char * | ,
|  | od_int64 | ,
|  | od_int64 | )

## ◆ add() [19/34]

void IOPar::add | ( | const char * | ,
|  | od_int64 | ,
|  | od_int64 | ,
|  | od_int64 | )

## ◆ add() [20/34]

void IOPar::add | ( | const char * | ,
|  | od_int64 | ,
|  | od_int64 | ,
|  | od_int64 | ,
|  | od_int64 | )

## ◆ add() [21/34]

void IOPar::add | ( | const char * | ,
|  | od_uint16 | )

## ◆ add() [22/34]

void IOPar::add | ( | const char * | ,
|  | od_uint16 | ,
|  | od_uint16 | )

## ◆ add() [23/34]

void IOPar::add | ( | const char * | ,
|  | od_uint16 | ,
|  | od_uint16 | ,
|  | od_uint16 | )

## ◆ add() [24/34]

void IOPar::add | ( | const char * | ,
|  | od_uint16 | ,
|  | od_uint16 | ,
|  | od_uint16 | ,
|  | od_uint16 | )

## ◆ add() [25/34]

void IOPar::add | ( | const char * | ,
|  | od_uint32 | )

## ◆ add() [26/34]

void IOPar::add | ( | const char * | ,
|  | od_uint32 | ,
|  | od_uint32 | )

## ◆ add() [27/34]

void IOPar::add | ( | const char * | ,
|  | od_uint32 | ,
|  | od_uint32 | ,
|  | od_uint32 | )

## ◆ add() [28/34]

void IOPar::add | ( | const char * | ,
|  | od_uint32 | ,
|  | od_uint32 | ,
|  | od_uint32 | ,
|  | od_uint32 | )

## ◆ add() [29/34]

void IOPar::add | ( | const char * | ,
|  | od_uint64 | )

## ◆ add() [30/34]

void IOPar::add | ( | const char * | ,
|  | od_uint64 | ,
|  | od_uint64 | )

## ◆ add() [31/34]

void IOPar::add | ( | const char * | ,
|  | od_uint64 | ,
|  | od_uint64 | ,
|  | od_uint64 | )

## ◆ add() [32/34]

void IOPar::add | ( | const char * | ,
|  | od_uint64 | ,
|  | od_uint64 | ,
|  | od_uint64 | ,
|  | od_uint64 | )

## ◆ add() [33/34]

void IOPar::add | ( | const char * | ky,
|  | const char * | val )

unsafe: does not check for duplicate keys

## ◆ add() [34/34]

void IOPar::add | ( | const char * | ky,
|  | const OD::String & | val )
| inline

## ◆ addFrom()

void IOPar::addFrom | ( | const IOPar & |  | ) |

merge entries but do not overwrite

## ◆ addVal()

void IOPar::addVal | ( | const char * | ky,
|  | const char * | valtoadd )

Append valtoadd to existing vals: ky: <existing vals>`valtoadd

## ◆ addYN() [1/4]

void IOPar::addYN | ( | const char * | ,
|  | bool | )

## ◆ addYN() [2/4]

void IOPar::addYN | ( | const char * | ,
|  | bool | ,
|  | bool | )

## ◆ addYN() [3/4]

void IOPar::addYN | ( | const char * | ,
|  | bool | ,
|  | bool | ,
|  | bool | )

## ◆ addYN() [4/4]

void IOPar::addYN | ( | const char * | ,
|  | bool | ,
|  | bool | ,
|  | bool | ,
|  | bool | )

## ◆ areSubParsIndexed()

bool IOPar::areSubParsIndexed | ( |  | ) | const
| protected

## ◆ clone()

IOPar * IOPar::clone | ( |  | ) | const

## ◆ compKey() [1/3]

static const char * IOPar::compKey | ( | const char * | ,
|  | const char * | )
| static

The composite key: (a,b) -> a.b.

## ◆ compKey() [2/3]

static const char * IOPar::compKey | ( | const char * | ,
|  | int | )
| static

The composite key where int will be --> string.

## ◆ compKey() [3/3]

static const char * IOPar::compKey | ( | const char * | ky1,
|  | const OD::String & | ky2 )
| inline static

## ◆ dumpPretty() [1/2]

void IOPar::dumpPretty | ( | BufferString & |  | ) | const

## ◆ dumpPretty() [2/2]

void IOPar::dumpPretty | ( | od_ostream & |  | ) | const

## ◆ fillJSON() [1/2]

void IOPar::fillJSON | ( | OD::JSON::Object & | obj,
|  | bool | simple = true ) const

if simple, only save the top level objects

## ◆ fillJSON() [2/2]

void IOPar::fillJSON | ( | OD::JSON::Object & | obj,
|  | const BufferStringSet & | keys,
|  | const BufferStringSet & | vals,
|  | const char * | subkey,
|  | int & | startidx ) const
| protected

## ◆ find()

BufferString IOPar::find | ( | const char * |  | ) | const

## ◆ findKeyFor()

BufferString IOPar::findKeyFor | ( | const char * |  | ) | const

returns empty if value not found

## ◆ get() [1/65]

bool IOPar::get | ( | const char * | ,
|  | BinID & | ) const

## ◆ get() [2/65]

bool IOPar::get | ( | const char * | ,
|  | BoolTypeSet & | ) const

## ◆ get() [3/65]

bool IOPar::get | ( | const char * | ,
|  | BufferString & | ) const

## ◆ get() [4/65]

bool IOPar::get | ( | const char * | ,
|  | BufferString & | ,
|  | BufferString & | ) const

## ◆ get() [5/65]

bool IOPar::get | ( | const char * | ,
|  | BufferString & | ,
|  | BufferString & | ,
|  | BufferString & | ) const

## ◆ get() [6/65]

bool IOPar::get | ( | const char * | ,
|  | BufferStringSet & | ) const

## ◆ get() [7/65]

bool IOPar::get | ( | const char * | ,
|  | Coord & | ) const

## ◆ get() [8/65]

bool IOPar::get | ( | const char * | ,
|  | Coord3 & | ) const

## ◆ get() [9/65]

bool IOPar::get | ( | const char * | ,
|  | DBKey & | ) const

## ◆ get() [10/65]

bool IOPar::get | ( | const char * | ,
|  | DBKeySet & | ) const

## ◆ get() [11/65]

bool IOPar::get | ( | const char * | ,
|  | double & | ) const

## ◆ get() [12/65]

bool IOPar::get | ( | const char * | ,
|  | double & | ,
|  | double & | ) const

## ◆ get() [13/65]

bool IOPar::get | ( | const char * | ,
|  | double & | ,
|  | double & | ,
|  | double & | ) const

## ◆ get() [14/65]

bool IOPar::get | ( | const char * | ,
|  | double & | ,
|  | double & | ,
|  | double & | ,
|  | double & | ) const

## ◆ get() [15/65]

bool IOPar::get | ( | const char * | ,
|  | float & | ) const

## ◆ get() [16/65]

bool IOPar::get | ( | const char * | ,
|  | float & | ,
|  | float & | ) const

## ◆ get() [17/65]

bool IOPar::get | ( | const char * | ,
|  | float & | ,
|  | float & | ,
|  | float & | ) const

## ◆ get() [18/65]

bool IOPar::get | ( | const char * | ,
|  | float & | ,
|  | float & | ,
|  | float & | ,
|  | float & | ) const

## ◆ get() [19/65]

bool IOPar::get | ( | const char * | ,
|  | int & | ) const

## ◆ get() [20/65]

bool IOPar::get | ( | const char * | ,
|  | int & | ,
|  | int & | ) const

## ◆ get() [21/65]

bool IOPar::get | ( | const char * | ,
|  | int & | ,
|  | int & | ,
|  | float & | ) const

## ◆ get() [22/65]

bool IOPar::get | ( | const char * | ,
|  | int & | ,
|  | int & | ,
|  | int & | ) const

## ◆ get() [23/65]

bool IOPar::get | ( | const char * | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ) const

## ◆ get() [24/65]

template<class T >

bool IOPar::get | ( | const char * | key,
|  | IntegerID< T > & | id ) const

## ◆ get() [25/65]

template<class T >

bool IOPar::get | ( | const char * | k,
|  | Interval< T > & | i ) const
| inline

## ◆ get() [26/65]

bool IOPar::get | ( | const char * | ,
|  | MultiID & | ) const

## ◆ get() [27/65]

bool IOPar::get | ( | const char * | ,
|  | OD::Color & | ) const

## ◆ get() [28/65]

bool IOPar::get | ( | const char * | ,
|  | OD::GeomSystem & | ) const

## ◆ get() [29/65]

bool IOPar::get | ( | const char * | ,
|  | od_int16 & | ) const

## ◆ get() [30/65]

bool IOPar::get | ( | const char * | ,
|  | od_int16 & | ,
|  | od_int16 & | ) const

## ◆ get() [31/65]

bool IOPar::get | ( | const char * | ,
|  | od_int16 & | ,
|  | od_int16 & | ,
|  | od_int16 & | ) const

## ◆ get() [32/65]

bool IOPar::get | ( | const char * | ,
|  | od_int16 & | ,
|  | od_int16 & | ,
|  | od_int16 & | ,
|  | od_int16 & | ) const

## ◆ get() [33/65]

bool IOPar::get | ( | const char * | ,
|  | od_int64 & | ) const

## ◆ get() [34/65]

bool IOPar::get | ( | const char * | ,
|  | od_int64 & | ,
|  | od_int64 & | ) const

## ◆ get() [35/65]

bool IOPar::get | ( | const char * | ,
|  | od_int64 & | ,
|  | od_int64 & | ,
|  | od_int64 & | ) const

## ◆ get() [36/65]

bool IOPar::get | ( | const char * | ,
|  | od_int64 & | ,
|  | od_int64 & | ,
|  | od_int64 & | ,
|  | od_int64 & | ) const

## ◆ get() [37/65]

bool IOPar::get | ( | const char * | ,
|  | od_uint16 & | ) const

## ◆ get() [38/65]

bool IOPar::get | ( | const char * | ,
|  | od_uint16 & | ,
|  | od_uint16 & | ) const

## ◆ get() [39/65]

bool IOPar::get | ( | const char * | ,
|  | od_uint16 & | ,
|  | od_uint16 & | ,
|  | od_uint16 & | ) const

## ◆ get() [40/65]

bool IOPar::get | ( | const char * | ,
|  | od_uint16 & | ,
|  | od_uint16 & | ,
|  | od_uint16 & | ,
|  | od_uint16 & | ) const

## ◆ get() [41/65]

bool IOPar::get | ( | const char * | ,
|  | od_uint32 & | ) const

## ◆ get() [42/65]

bool IOPar::get | ( | const char * | ,
|  | od_uint32 & | ,
|  | od_uint32 & | ) const

## ◆ get() [43/65]

bool IOPar::get | ( | const char * | ,
|  | od_uint32 & | ,
|  | od_uint32 & | ,
|  | od_uint32 & | ) const

## ◆ get() [44/65]

bool IOPar::get | ( | const char * | ,
|  | od_uint32 & | ,
|  | od_uint32 & | ,
|  | od_uint32 & | ,
|  | od_uint32 & | ) const

## ◆ get() [45/65]

bool IOPar::get | ( | const char * | ,
|  | od_uint64 & | ) const

## ◆ get() [46/65]

bool IOPar::get | ( | const char * | ,
|  | od_uint64 & | ,
|  | od_uint64 & | ) const

## ◆ get() [47/65]

bool IOPar::get | ( | const char * | ,
|  | od_uint64 & | ,
|  | od_uint64 & | ,
|  | od_uint64 & | ) const

## ◆ get() [48/65]

bool IOPar::get | ( | const char * | ,
|  | od_uint64 & | ,
|  | od_uint64 & | ,
|  | od_uint64 & | ,
|  | od_uint64 & | ) const

## ◆ get() [49/65]

template<class T >

bool IOPar::get | ( | const char * | k,
|  | SamplingData< T > & | sd ) const
| inline

## ◆ get() [50/65]

bool IOPar::get | ( | const char * | ,
|  | SeparString & | ) const

## ◆ get() [51/65]

template<class T , std::size_t N>

bool IOPar::get | ( | const char * | key,
|  | std::array< T, N > & | arr ) const

## ◆ get() [52/65]

bool IOPar::get | ( | const char * | ,
|  | std::string & | ) const

## ◆ get() [53/65]

bool IOPar::get | ( | const char * | ,
|  | std::string & | ,
|  | std::string & | ) const

## ◆ get() [54/65]

bool IOPar::get | ( | const char * | ,
|  | TrcKey & | ) const

## ◆ get() [55/65]

bool IOPar::get | ( | const char * | ,
|  | TypeSet< double > & | ) const

## ◆ get() [56/65]

bool IOPar::get | ( | const char * | ,
|  | TypeSet< float > & | ) const

## ◆ get() [57/65]

bool IOPar::get | ( | const char * | ,
|  | TypeSet< int > & | ) const

## ◆ get() [58/65]

bool IOPar::get | ( | const char * | ,
|  | TypeSet< MultiID > & | ) const

## ◆ get() [59/65]

bool IOPar::get | ( | const char * | ,
|  | TypeSet< od_int16 > & | ) const

## ◆ get() [60/65]

bool IOPar::get | ( | const char * | ,
|  | TypeSet< od_int64 > & | ) const

## ◆ get() [61/65]

bool IOPar::get | ( | const char * | ,
|  | TypeSet< od_uint16 > & | ) const

## ◆ get() [62/65]

bool IOPar::get | ( | const char * | ,
|  | TypeSet< od_uint32 > & | ) const

## ◆ get() [63/65]

bool IOPar::get | ( | const char * | ,
|  | TypeSet< od_uint64 > & | ) const

## ◆ get() [64/65]

bool IOPar::get | ( | const char * | ,
|  | TypeSet< Pos::GeomID > & | ) const

## ◆ get() [65/65]

bool IOPar::get | ( | const char * | ,
|  | uiString & | ,
|  | bool | fromhex ) const

## ◆ getFrom() [1/2]

void IOPar::getFrom | ( | ascistream & |  | ) |

## ◆ getFrom() [2/2]

void IOPar::getFrom | ( | const char * |  | ) |

## ◆ getKeys()

void IOPar::getKeys | ( | BufferStringSet & |  | ) | const

## ◆ getParsFrom()

void IOPar::getParsFrom | ( | const char * |  | ) |

## ◆ getPtr()

bool IOPar::getPtr | ( | const char * | ,
|  | void *& | ) const

## ◆ getScaled() [1/8]

bool IOPar::getScaled | ( | const char * | ,
|  | double & | ,
|  | double & | ,
|  | double & | ,
|  | double & | ,
|  | double | ,
|  | bool | ) const

## ◆ getScaled() [2/8]

bool IOPar::getScaled | ( | const char * | ,
|  | double & | ,
|  | double & | ,
|  | double & | ,
|  | double | ,
|  | bool | ) const

## ◆ getScaled() [3/8]

bool IOPar::getScaled | ( | const char * | ,
|  | double & | ,
|  | double & | ,
|  | double | ,
|  | bool | ) const

## ◆ getScaled() [4/8]

bool IOPar::getScaled | ( | const char * | ,
|  | double & | ,
|  | double | applied_scale,
|  | bool | set_to_undef_if_not_found ) const

## ◆ getScaled() [5/8]

bool IOPar::getScaled | ( | const char * | ,
|  | float & | ,
|  | float & | ,
|  | float & | ,
|  | float & | ,
|  | float | ,
|  | bool | ) const

## ◆ getScaled() [6/8]

bool IOPar::getScaled | ( | const char * | ,
|  | float & | ,
|  | float & | ,
|  | float & | ,
|  | float | ,
|  | bool | ) const

## ◆ getScaled() [7/8]

bool IOPar::getScaled | ( | const char * | ,
|  | float & | ,
|  | float & | ,
|  | float | ,
|  | bool | ) const

## ◆ getScaled() [8/8]

bool IOPar::getScaled | ( | const char * | ,
|  | float & | ,
|  | float | applied_scale,
|  | bool | set_to_undef_if_not_found ) const

## ◆ getYN() [1/4]

bool IOPar::getYN | ( | const char * | ,
|  | bool & | ) const

## ◆ getYN() [2/4]

bool IOPar::getYN | ( | const char * | ,
|  | bool & | ,
|  | bool & | ) const

## ◆ getYN() [3/4]

bool IOPar::getYN | ( | const char * | ,
|  | bool & | ,
|  | bool & | ,
|  | bool & | ) const

## ◆ getYN() [4/4]

bool IOPar::getYN | ( | const char * | ,
|  | bool & | ,
|  | bool & | ,
|  | bool & | ,
|  | bool & | ) const

## ◆ hasKey()

bool IOPar::hasKey | ( | const char * | s | ) | const
| inline

## ◆ includes()

bool IOPar::includes | ( | const IOPar & |  | ) | const

## ◆ isEmpty()

bool IOPar::isEmpty | ( |  | ) | const

## ◆ isEqual()

bool IOPar::isEqual | ( | const IOPar & |  | ) | const

## ◆ isFalse()

bool IOPar::isFalse | ( | const char * | key | ) | const
| inline

## ◆ isPresent()

bool IOPar::isPresent | ( | const char * | ky | ) | const

## ◆ isTrue()

bool IOPar::isTrue | ( | const char * | key | ) | const
| inline

## ◆ majorVersion()

int IOPar::majorVersion | ( |  | ) | const
| inline

Only set if read from file. Otherwise set to current.

## ◆ merge()

void IOPar::merge | ( | const IOPar & |  | ) |

merge entries using the set() command

## ◆ mergeComp()

void IOPar::mergeComp | ( | const IOPar & | ,
|  | const char * | )

merge entries, where IOPar's entries get a prefix

## ◆ minorVersion()

int IOPar::minorVersion | ( |  | ) | const
| inline

Only set if read from file. Otherwise set to current.

## ◆ odVersion()

int IOPar::odVersion | ( |  | ) | const

Only set if read from file. Otherwise set to current v6.6.0 returns as 660

## ◆ operator!=()

bool IOPar::operator!= | ( | const IOPar & | iop | ) | const
| inline

## ◆ operator=()

IOPar & IOPar::operator= | ( | const IOPar & |  | ) |

## ◆ operator==()

bool IOPar::operator== | ( | const IOPar & | iop | ) | const
| inline

## ◆ operator[]()

BufferString IOPar::operator[] | ( | const char * | ky | ) | const
| inline

## ◆ patchVersion()

int IOPar::patchVersion | ( |  | ) | const
| inline

Only set if read from file. Otherwise set to current.

## ◆ putParsTo()

void IOPar::putParsTo | ( | BufferString & |  | ) | const

## ◆ putTo() [1/2]

void IOPar::putTo | ( | ascostream & |  | ) | const

## ◆ putTo() [2/2]

void IOPar::putTo | ( | BufferString & |  | ) | const

## ◆ read() [1/2]

bool IOPar::read | ( | const char * | filename,
|  | const char * | filetype,
|  | bool | chktype = false )

filetype null will assume no file header uses set(). no clear() done

## ◆ read() [2/2]

bool IOPar::read | ( | od_istream & | ,
|  | const char * | filetype,
|  | bool | chktype = false )

## ◆ remove()

bool IOPar::remove | ( | int |  | ) |
| delete

## ◆ removeSubSelection() [1/3]

bool IOPar::removeSubSelection | ( | const char * | str | ) |

removes with key that start with str.

## ◆ removeSubSelection() [2/3]

bool IOPar::removeSubSelection | ( | const OD::String & | fs | ) |
| inline

## ◆ removeSubSelection() [3/3]

bool IOPar::removeSubSelection | ( | int |  | ) |

removes with key that start with number.

## ◆ removeWithKey()

bool IOPar::removeWithKey | ( | const char * | key | ) |

returns false if ky not found

## ◆ removeWithKeyPattern()

bool IOPar::removeWithKeyPattern | ( | const char * | globexpression | ) |

removes all entries with key matching this glob expression, return false if none found

## ◆ replaceKey()

bool IOPar::replaceKey | ( | const char * | oldkey,
|  | const char * | newkey )

returns false if oldkey was not found

## ◆ set() [1/66]

void IOPar::set | ( | const char * | ,
|  | const BinID & | )

## ◆ set() [2/66]

void IOPar::set | ( | const char * | ,
|  | const BoolTypeSet & | )

## ◆ set() [3/66]

void IOPar::set | ( | const char * | ,
|  | const BufferStringSet & | )

## ◆ set() [4/66]

void IOPar::set | ( | const char * | ,
|  | const char * | ,
|  | const char * | )

## ◆ set() [5/66]

void IOPar::set | ( | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

## ◆ set() [6/66]

void IOPar::set | ( | const char * | ,
|  | const Coord & | )

## ◆ set() [7/66]

void IOPar::set | ( | const char * | ,
|  | const Coord3 & | )

## ◆ set() [8/66]

void IOPar::set | ( | const char * | ,
|  | const DBKey & | )

## ◆ set() [9/66]

void IOPar::set | ( | const char * | ,
|  | const DBKeySet & | )

## ◆ set() [10/66]

template<class T >

void IOPar::set | ( | const char * | key,
|  | const IntegerID< T > & | id )

## ◆ set() [11/66]

template<class T >

void IOPar::set | ( | const char * | k,
|  | const Interval< T > & | i )
| inline

## ◆ set() [12/66]

void IOPar::set | ( | const char * | ,
|  | const MultiID & | )

## ◆ set() [13/66]

void IOPar::set | ( | const char * | ,
|  | const OD::Color & | )

## ◆ set() [14/66]

void IOPar::set | ( | const char * | ,
|  | const OD::GeomSystem & | )

## ◆ set() [15/66]

void IOPar::set | ( | const char * | ,
|  | const OD::String & | )

## ◆ set() [16/66]

void IOPar::set | ( | const char * | ,
|  | const OD::String & | ,
|  | const OD::String & | )

## ◆ set() [17/66]

void IOPar::set | ( | const char * | ,
|  | const OD::String & | ,
|  | const OD::String & | ,
|  | const OD::String & | )

## ◆ set() [18/66]

template<class T >

void IOPar::set | ( | const char * | k,
|  | const SamplingData< T > & | sd )
| inline

## ◆ set() [19/66]

void IOPar::set | ( | const char * | ,
|  | const SeparString & | )

## ◆ set() [20/66]

template<class T , std::size_t N>

void IOPar::set | ( | const char * | key,
|  | const std::array< T, N > & | arr )

## ◆ set() [21/66]

void IOPar::set | ( | const char * | ,
|  | const TrcKey & | )

## ◆ set() [22/66]

void IOPar::set | ( | const char * | ,
|  | const TypeSet< double > & | )

## ◆ set() [23/66]

void IOPar::set | ( | const char * | ,
|  | const TypeSet< float > & | )

## ◆ set() [24/66]

void IOPar::set | ( | const char * | ,
|  | const TypeSet< int > & | )

## ◆ set() [25/66]

void IOPar::set | ( | const char * | ,
|  | const TypeSet< MultiID > & | )

## ◆ set() [26/66]

void IOPar::set | ( | const char * | ,
|  | const TypeSet< od_int16 > & | )

## ◆ set() [27/66]

void IOPar::set | ( | const char * | ,
|  | const TypeSet< od_int64 > & | )

## ◆ set() [28/66]

void IOPar::set | ( | const char * | ,
|  | const TypeSet< od_uint16 > & | )

## ◆ set() [29/66]

void IOPar::set | ( | const char * | ,
|  | const TypeSet< od_uint32 > & | )

## ◆ set() [30/66]

void IOPar::set | ( | const char * | ,
|  | const TypeSet< od_uint64 > & | )

## ◆ set() [31/66]

void IOPar::set | ( | const char * | ,
|  | const TypeSet< Pos::GeomID > & | )

## ◆ set() [32/66]

void IOPar::set | ( | const char * | ,
|  | const uiString & | ,
|  | bool | tohex )

## ◆ set() [33/66]

void IOPar::set | ( | const char * | ,
|  | double | )

## ◆ set() [34/66]

void IOPar::set | ( | const char * | ,
|  | double | ,
|  | double | )

## ◆ set() [35/66]

void IOPar::set | ( | const char * | ,
|  | double | ,
|  | double | ,
|  | double | )

## ◆ set() [36/66]

void IOPar::set | ( | const char * | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double | )

## ◆ set() [37/66]

void IOPar::set | ( | const char * | ,
|  | float | )

## ◆ set() [38/66]

void IOPar::set | ( | const char * | ,
|  | float | ,
|  | float | )

## ◆ set() [39/66]

void IOPar::set | ( | const char * | ,
|  | float | ,
|  | float | ,
|  | float | )

## ◆ set() [40/66]

void IOPar::set | ( | const char * | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float | )

## ◆ set() [41/66]

void IOPar::set | ( | const char * | ,
|  | int | )

## ◆ set() [42/66]

void IOPar::set | ( | const char * | ,
|  | int | ,
|  | int | )

## ◆ set() [43/66]

void IOPar::set | ( | const char * | ,
|  | int | ,
|  | int | ,
|  | float | )

## ◆ set() [44/66]

void IOPar::set | ( | const char * | ,
|  | int | ,
|  | int | ,
|  | int | )

## ◆ set() [45/66]

void IOPar::set | ( | const char * | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | )

## ◆ set() [46/66]

void IOPar::set | ( | const char * | ,
|  | od_int16 | )

## ◆ set() [47/66]

void IOPar::set | ( | const char * | ,
|  | od_int16 | ,
|  | od_int16 | )

## ◆ set() [48/66]

void IOPar::set | ( | const char * | ,
|  | od_int16 | ,
|  | od_int16 | ,
|  | od_int16 | )

## ◆ set() [49/66]

void IOPar::set | ( | const char * | ,
|  | od_int16 | ,
|  | od_int16 | ,
|  | od_int16 | ,
|  | od_int16 | )

## ◆ set() [50/66]

void IOPar::set | ( | const char * | ,
|  | od_int64 | )

## ◆ set() [51/66]

void IOPar::set | ( | const char * | ,
|  | od_int64 | ,
|  | od_int64 | )

## ◆ set() [52/66]

void IOPar::set | ( | const char * | ,
|  | od_int64 | ,
|  | od_int64 | ,
|  | od_int64 | )

## ◆ set() [53/66]

void IOPar::set | ( | const char * | ,
|  | od_int64 | ,
|  | od_int64 | ,
|  | od_int64 | ,
|  | od_int64 | )

## ◆ set() [54/66]

void IOPar::set | ( | const char * | ,
|  | od_uint16 | )

## ◆ set() [55/66]

void IOPar::set | ( | const char * | ,
|  | od_uint16 | ,
|  | od_uint16 | )

## ◆ set() [56/66]

void IOPar::set | ( | const char * | ,
|  | od_uint16 | ,
|  | od_uint16 | ,
|  | od_uint16 | )

## ◆ set() [57/66]

void IOPar::set | ( | const char * | ,
|  | od_uint16 | ,
|  | od_uint16 | ,
|  | od_uint16 | ,
|  | od_uint16 | )

## ◆ set() [58/66]

void IOPar::set | ( | const char * | ,
|  | od_uint32 | )

## ◆ set() [59/66]

void IOPar::set | ( | const char * | ,
|  | od_uint32 | ,
|  | od_uint32 | )

## ◆ set() [60/66]

void IOPar::set | ( | const char * | ,
|  | od_uint32 | ,
|  | od_uint32 | ,
|  | od_uint32 | )

## ◆ set() [61/66]

void IOPar::set | ( | const char * | ,
|  | od_uint32 | ,
|  | od_uint32 | ,
|  | od_uint32 | ,
|  | od_uint32 | )

## ◆ set() [62/66]

void IOPar::set | ( | const char * | ,
|  | od_uint64 | )

## ◆ set() [63/66]

void IOPar::set | ( | const char * | ,
|  | od_uint64 | ,
|  | od_uint64 | )

## ◆ set() [64/66]

void IOPar::set | ( | const char * | ,
|  | od_uint64 | ,
|  | od_uint64 | ,
|  | od_uint64 | )

## ◆ set() [65/66]

void IOPar::set | ( | const char * | ,
|  | od_uint64 | ,
|  | od_uint64 | ,
|  | od_uint64 | ,
|  | od_uint64 | )

## ◆ set() [66/66]

void IOPar::set | ( | const char * | ky,
|  | const char * | val )

replaces when key already exists, otherwise adds

## ◆ setEmpty()

void IOPar::setEmpty | ( |  | ) |

remove all entries (doesn't clear name)

## ◆ setPtr()

void IOPar::setPtr | ( | const char * | ,
|  | void * | )

## ◆ setStdCreationEntries()

void IOPar::setStdCreationEntries | ( |  | ) |

## ◆ setToDateTime()

void IOPar::setToDateTime | ( | const char * | ky = nullptr | ) |

## ◆ setToUser()

void IOPar::setToUser | ( | const char * | ky = nullptr | ) |

## ◆ setYN() [1/4]

void IOPar::setYN | ( | const char * | ,
|  | bool | )

## ◆ setYN() [2/4]

void IOPar::setYN | ( | const char * | ,
|  | bool | ,
|  | bool | )

## ◆ setYN() [3/4]

void IOPar::setYN | ( | const char * | ,
|  | bool | ,
|  | bool | ,
|  | bool | )

## ◆ setYN() [4/4]

void IOPar::setYN | ( | const char * | ,
|  | bool | ,
|  | bool | ,
|  | bool | ,
|  | bool | )

## ◆ size()

int IOPar::size | ( |  | ) | const

## ◆ sKeyDumpPretty()

static const char * IOPar::sKeyDumpPretty | ( |  | ) |
| inline static

## ◆ sKeyHdr()

static const char * IOPar::sKeyHdr | ( |  | ) |
| inline static

## ◆ sKeySubHdr()

static const char * IOPar::sKeySubHdr | ( |  | ) |
| inline static

## ◆ subselect() [1/3]

IOPar * IOPar::subselect | ( | const char * | str | ) | const

returns iopar with key that start with str.

## ◆ subselect() [2/3]

IOPar * IOPar::subselect | ( | const OD::String & | fs | ) | const
| inline

## ◆ subselect() [3/3]

IOPar * IOPar::subselect | ( | int |  | ) | const

returns iopar with key that start with number.

## ◆ update()

void IOPar::update | ( | const char * | ky,
|  | const char * | val )

removes if val is empty or null

## ◆ useJSON() [1/2]

bool IOPar::useJSON | ( | const char * | key,
|  | const OD::JSON::Array & | )

## ◆ useJSON() [2/2]

bool IOPar::useJSON | ( | const OD::JSON::Object & |  | ) |

## ◆ write() [1/2]

bool IOPar::write | ( | const char * | filename,
|  | const char * | filetype ) const

If filetype is set to null no ascstream header sKeyDumpPretty calls dumpPretty.

## ◆ write() [2/2]

bool IOPar::write | ( | od_ostream & | ,
|  | const char * | filetyp ) const

## Friends And Related Symbol Documentation

## ◆ IOParIterator

friend class IOParIterator
| friend

## Member Data Documentation

## ◆ hashmap_

ODHashMap& IOPar::hashmap_
| protected

## ◆ majorversion_

int IOPar::majorversion_
| protected

## ◆ minorversion_

int IOPar::minorversion_
| protected

## ◆ patchversion_

int IOPar::patchversion_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025